// I18N constants

// LANG: "fr", ENCODING: UTF-8 | ISO-8859-1
// Author: Ivan Havlicek <ivan@modulix.com>

// FOR TRANSLATORS:
//
//   1. PLEASE PUT YOUR CONTACT INFO IN THE ABOVE LINE
//      (at least a valid email address)
//
//   2. PLEASE TRY TO USE UTF-8 FOR ENCODING;
//      (if this is not possible, please include a comment
//       that states what encoding is necessary.)

HTMLArea.I18N = {

	// the following should be the filename without .js extension
	// it will be used for automatically load plugin language.
	lang: "fr",

	tooltips: {
		bold:           "Gras",
		italic:         "Italique",
		underline:      "Soulign",
		strikethrough:  "Barr",
		subscript:      "Indice",
		superscript:    "Exposant",
		justifyleft:    "Align  gauche",
		justifycenter:  "Centr",
		justifyright:   "Align  droite",
		justifyfull:    "Justifi",
		orderedlist:    "Liste numrote",
		insertorderedlist:    "Liste numrote",
		insertunorderedlist:  "Liste  puces",
		outdent:        "Augmenter le retrait",
		indent:         "Diminuer le retrait",
		forecolor:      "Couleur du texte",
		hilitecolor:    "Couleur du fond",
		inserthorizontalrule: "Ligne horizontale",
		createlink:     "Insrer un lien",
		insertimage:    "Modifier-insrer image",
		inserttable:    "Insrer un tableau",
		htmlmode:       "Voir le code source HTML",
		popupeditor:    "Agrandir l'diteur",
		about:          "A propos de cet diteur",
		showhelp:       "De l'aide sur cet diteur",
		textindicator:  "Style courant",
		undo:           "Annule votre dernire action",
		redo:           "Rtablit votre dernire action",
		cut:            "Couper la slction",
		copy:           "Copier la slction",
		paste:          "Coller  partir du presse-papier",
		lefttoright:    "De gauche  droite",
		righttoleft:    "De droite  gauche"
	},

	buttons: {
		"ok":           "OK",
		"cancel":       "Annuler"
	},

	msg: {
		"Path":         "Chemin",
		"TEXT_MODE":    "Vous tes en mode d'dition TEXTE du source HTML. Utilisez le bouton [<>] pour revenir en mode d'dition normal.",

		"IE-sucks-full-screen" :
		// translate here
		"Le mode plein cran cause des problmes avec Internet Explorer, problmes ds  des bugs" +
		" du navigateur que nous ne pouvons contourner.  Vous pouvez avoir des dfauts d'affichage, " +
		"des disfonctionnements de l'diteur et/ou plantage alatoire du navigateur.  Si vous tes sous" +
		" Windows 9x vous aurez vraisemblablement une 'Erreur Gnrale de Protection' et devrez redmarrer.\n\n" +
		"Cest un avertissement.  Appuyez sur OK si vous voulez toujours essayer le mode plein cran."
	},

	dialogs: {
		// Common
		"OK"                                                : "OK",
		"Cancel"                                            : "Annuler",

		"Alignment:"                                        : "Alignement :",
		"Not set"                                           : "Indfini",
		"Left"                                              : "Gauche",
		"Right"                                             : "Droite",
		"Center"                                            : "Centr",
		"Texttop"                                           : "Haut du texte",
		"Absmiddle"                                         : "Milieu absolu",
		"Baseline"                                          : "Ligne de base",
		"Absbottom"                                         : "Bas absolu",
		"Bottom"                                            : "Bas",
		"Middle"                                            : "Milieu",
		"Top"                                               : "Haut",

		"Layout"                                            : "Disposition",
		"Spacing"                                           : "Espacement",
		"Horizontal:"                                       : "Horizontal :",
		"Horizontal padding"                                : "Espacement horizontal",
		"Vertical:"                                         : "Vertical :",
		"Vertical padding"                                  : "Remplissage vertical",
		"Border thickness:"                                 : "Bordure (px) :",
		"Leave empty for no border"                         : "Rien pour pas de bordure",

		// Insert Link
		"Insert/Modify Link"                                : "Insrer/Modifier un Lien",
		"New window (_blank)"                               : "Nouvelle fentre (_blank)",
		"Same window (_parent)"                             : "Mme fentre (_parent)",
        "Same frame (_self)"                                : "Mme cadre (_self)",
		"Top frame (_top)"                                  : "Cadre du haut (_top)",
		"Other"                                             : "Autre",
		"Target:"                                           : "Cible :",
		"Title (tooltip):"                                  : "Infobulle :",
		"URL:"                                              : "URL :",
		"You must enter the URL where this link points to"  : "Vous devez entrer l'URL vers ce lien",
		// Insert Table
		"Insert Table"                                      : "Insrer un Tableau",
		"Rows:"                                             : "Lignes :",
		"Cols:"                                             : "Colonnes :",
		"Width:"                                            : "Largeur :",
		"%"                                                 : "%",
		"Px"                                                : "px",
		"Em"                                                : "Em",
		"Cell spacing:"                                     : "Espacement (spacing):",
		"Cell padding:"                                     : "Espacement (padding):",
		// Insert Image
		"Insert Image"                                      : "Insrer une Image",
		"Image URL:"                                        : "URL Image :",
		"Browse Server"                                     : "Parcourir le Serveur",
		"Preview Image"                                     : "Prvisualiser l'image",
		"Preview the image in a new window"                 : "Voir l'image en fentre",
		"Alternate text:"                                   : "Texte (Alt) :",
		"Positioning of this image"                         : "Position de cette image",
		"Image Preview:"                                    : "Image"
	}
};
